% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/z_fisher.R
\name{z_fisher}
\alias{z_fisher}
\title{Fisher z-transformation}
\usage{
z_fisher(r = NULL, z = NULL)
}
\arguments{
\item{r, z}{The r or the z' value to be converted.}
}
\value{
The transformed value.
}
\description{
The Fisher z-transformation converts the standard Pearson's r to a normally distributed variable z'. It is used to compute confidence intervals to correlations. The z' variable is different from the z-statistic.
}
\examples{
z_fisher(r = 0.7)
z_fisher(z = 0.867)
}
\references{
Zar, J.H., (2014). Spearman Rank Correlation: Overview. Wiley StatsRef: Statistics Reference Online. doi:10.1002/9781118445112.stat05964
}
